clang-tools 8.0.0

Classes | Public Member Functions | List of all members
clang::change_namespace::ChangeNamespaceTool Class Reference

`#include <ChangeNamespace.h>`

Inheritance diagram for clang::change_namespace::ChangeNamespaceTool:
[legend]
Collaboration diagram for clang::change_namespace::ChangeNamespaceTool:
[legend]

## Public Member Functions
| ChangeNamespaceTool (llvm::StringRef OldNs, llvm::StringRef NewNs, llvm::StringRef FilePattern, llvm::ArrayRef< std::string > WhiteListedSymbolPatterns, std::map< std::string, tooling::Replacements > *FileToReplacements, llvm::StringRef FallbackStyle="LLVM")
void | registerMatchers (ast_matchers::MatchFinder *Finder)
void | run (const ast_matchers::MatchFinder::MatchResult &Result) override
void | onEndOfTranslationUnit () override

## Detailed Description

Definition at line 47 of file ChangeNamespace.h.

## Constructor & Destructor Documentation

## ◆ ChangeNamespaceTool()

clang::change_namespace::ChangeNamespaceTool::ChangeNamespaceTool | ( | llvm::StringRef | OldNs,
|  | llvm::StringRef | NewNs,
|  | llvm::StringRef | FilePattern,
|  | llvm::ArrayRef< std::string > | WhiteListedSymbolPatterns,
|  | std::map< std::string, tooling::Replacements > * | FileToReplacements,
|  | llvm::StringRef | FallbackStyle = `"LLVM"`
| ) |  |

Definition at line 349 of file ChangeNamespace.cpp.

## Member Function Documentation

## ◆ onEndOfTranslationUnit()

void clang::change_namespace::ChangeNamespaceTool::onEndOfTranslationUnit | ( |  | ) |
| override

Definition at line 966 of file ChangeNamespace.cpp.

## ◆ registerMatchers()

void clang::change_namespace::ChangeNamespaceTool::registerMatchers | ( | ast_matchers::MatchFinder * | Finder | ) |

Definition at line 373 of file ChangeNamespace.cpp.

## ◆ run()

void clang::change_namespace::ChangeNamespaceTool::run | ( | const ast_matchers::MatchFinder::MatchResult & | Result | ) |
| override

Definition at line 535 of file ChangeNamespace.cpp.

The documentation for this class was generated from the following files:

- ChangeNamespace.h
- ChangeNamespace.cpp